function [out1, out2] = fibonacci2(in1, in2)
%fibonacci2 computes the Fibonacci sequence
%
% INPUTS
%   in1:    max possible value of last element of the sequence, 
%           double [1 x 1]
%   in2:    first two elements of fibonacci sequence
%           double [1 x 2]
%
% OUTPUTS
%   out1:   fibonacci sequence, double [1 x N]
%   out2:   object of class Line, line [1 x 1]
%
% SYNTAX
%   fibonacci2()
%   [out1, out2] = fibonacci2(in1, in2)
%
% v1.0
% 2020, Vit Losenicky, losenvit@fel.cvut.cz
% 
%% input
nArgIn = nargin;
if nArgIn == 0
    limit = 1e3;
    f = [0, 1];
elseif nArgIn == 1
    limit = in1;
    f = [0, 1];
elseif nArgIn == 2
    limit = in1;
    f = in2;
end

%% computation of Fibonacci sequence
n = 1; % index for series generation
while f(n+1) < limit
    f(n+2) = f(n) + f(n+1);
    n = n + 1;
end
f(end) = [];
out1 = f;

%% output
if nargout == 2
    out2 = plot(f);
end
end